import request from '@/utils/request'

// 查询线路详情列表
export function listRouteDetails(query) {
  return request({
    url: '/sfa/routeDetails/list',
    method: 'get',
    params: query
  })
}
export function listRouteD(data) {
  return request({
    url: '/sfa/routeDetails/list',
    method: 'post',
    data: data
  })
}

// 查询线路详情详细
export function getRouteDetails(rdId) {
  return request({
    url: '/sfa/routeDetails/' + rdId,
    method: 'get'
  })
}

// 新增线路详情
export function addRouteDetails(data) {
  return request({
    url: '/sfa/routeDetails',
    method: 'post',
    data: data
  })
}

// 修改线路详情
export function updateRouteDetails(data) {
  return request({
    url: '/sfa/routeDetails',
    method: 'put',
    data: data
  })
}

// 删除线路详情
export function delRouteDetails(rdId) {
  return request({
    url: '/sfa/routeDetails/' + rdId,
    method: 'delete'
  })
}
